Package org.h2.tools

# Class CreateCluster

java.lang.Object
org.h2.util.Tool
org.h2.tools.CreateCluster

public class CreateCluster extends Tool
Creates a cluster from a stand-alone database. Copies a database to another location if required.

## Field Summary

### Fields inherited from class org.h2.util.Tool

`out`

## Constructor Summary

Constructors
Constructor
Description
`CreateCluster()`

## Method Summary

Modifier and Type
Method
Description
`void`
`execute(String urlSource, String urlTarget, String user, String password, String serverList)`
Creates a cluster.
`static void`
`main(String... args)`
Options are case sensitive.
`void`
`runTool(String... args)`
Run the tool with the given output stream and arguments.

### Methods inherited from class org.h2.util.Tool

`getMainClassName, isOption, printNoDatabaseFilesFound, setOut, showUsage, showUsageAndThrowUnsupportedOption, throwUnsupportedOption`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CreateCluster

public CreateCluster()

## Method Details

### main

public static void main(String... args) throws SQLException
Options are case sensitive.

Supported options
[-help] or [-?] | Print the list of options
[-urlSource "<url>"] | The database URL of the source database (jdbc:h2:...)
[-urlTarget "<url>"] | The database URL of the target database (jdbc:h2:...)
[-user <user>] | The user name (default: sa)
[-password <pwd>] | The password
[-serverList <list>] | The comma separated list of host names or IP addresses

Parameters:
  `args` - the command line arguments
Throws:
  `SQLException` - on failure

### runTool

public void runTool(String... args) throws SQLException
Description copied from class: `Tool`
Run the tool with the given output stream and arguments.

Specified by:
  `runTool` in class `Tool`
Parameters:
  `args` - the argument list
Throws:
  `SQLException` - on failure

### execute

public void execute(String urlSource, String urlTarget, String user, String password, String serverList) throws SQLException
Creates a cluster.

Parameters:
  `urlSource` - the database URL of the original database
  `urlTarget` - the database URL of the copy
  `user` - the user name
  `password` - the password
  `serverList` - the server list
Throws:
  `SQLException` - on failure